import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';


const preview: AppRouteModule = {
  path: '/preview',
  name: 'preview',
  component: LAYOUT,
  redirect: '/preview/index',
  meta: {
    orderNo: 10,
    icon: 'ion:grid-outline',
    title: '邮件预览‘',
  },
  children: [
    {
      path: 'index',
      name: 'previewIndex',
      component: () => import('@/views/email/preview/index..vue'),
      meta: {
        // affix: true,
        title: '预览邮件',
        hideTab: true,
        hideMenu: true,
      },
    },
  ],
};

export default preview;
